package com.huaching.thshive.mapper.impl;

import com.huaching.thshive.mapper.ParkingLockMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.dao.DataAccessException;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class ParkingLockMapperImpl implements ParkingLockMapper {

    private static final Logger logger = LoggerFactory.getLogger(ParkingLockMapperImpl.class);

    @Autowired
    @Qualifier("hiveDruidTemplate")
    private JdbcTemplate hiveDruidTemplate;


    @Override
    public List<Map<String, Object>> tableList() {
        String sql = "show tables";
        List<Map<String, Object>> result = null;
        try {
            result = hiveDruidTemplate.queryForList(sql);
        } catch (DataAccessException dae) {
            logger.error("查询出异常", dae);
        }
        return result;
    }

    @Override
    public List<Map<String, Object>> salesInfoNewNewList() {
        String sql = "SELECT * from sales_info_new_new limit 100";
        List<Map<String, Object>> result = null;
        try {
            result = hiveDruidTemplate.queryForList(sql);
        } catch (DataAccessException dae) {
            logger.error("查询出异常", dae);
        }
        return result;
    }
}
